| NUC029FAE BSP V3.01.002 The Board Support Package for NUC029FAE

Data Fields
I2C_T Struct Reference
NUC029FAE Control Register » Inter-IC Bus Controller(I2C)

`#include <NUC029FAE.h>`

## Data Fields
__IO uint32_t | I2CON
__IO uint32_t | I2CADDR0
__IO uint32_t | I2CDAT
__IO uint32_t | I2CSTATUS
__IO uint32_t | I2CLK
__IO uint32_t | I2CTOC
__IO uint32_t | I2CADDR1
__IO uint32_t | I2CADDR2
__IO uint32_t | I2CADDR3
__IO uint32_t | I2CADM0
__IO uint32_t | I2CADM1
__IO uint32_t | I2CADM2
__IO uint32_t | I2CADM3
uint32_t | RESERVED0
uint32_t | RESERVED1
__IO uint32_t | I2CON2
__IO uint32_t | I2CSTATUS2

## Detailed Description

Definition at line 1040 of file NUC029FAE.h.

## Field Documentation

## ◆ I2CADDR0

__IO uint32_t I2C_T::I2CADDR0

Offset: 0x0004 I2C Slave Address Register 0

Definition at line 1043 of file NUC029FAE.h.

## ◆ I2CADDR1

__IO uint32_t I2C_T::I2CADDR1

Offset: 0x0018 I2C Slave Address Register 1

Definition at line 1048 of file NUC029FAE.h.

## ◆ I2CADDR2

__IO uint32_t I2C_T::I2CADDR2

Offset: 0x001C I2C Slave Address Register 2

Definition at line 1049 of file NUC029FAE.h.

## ◆ I2CADDR3

__IO uint32_t I2C_T::I2CADDR3

Offset: 0x0020 I2C Slave Address Register 3

Definition at line 1050 of file NUC029FAE.h.

## ◆ I2CADM0

__IO uint32_t I2C_T::I2CADM0

Offset: 0x0024 I2C Slave Address Mask Register 0

Definition at line 1051 of file NUC029FAE.h.

## ◆ I2CADM1

__IO uint32_t I2C_T::I2CADM1

Offset: 0x0028 I2C Slave Address Mask Register 1

Definition at line 1052 of file NUC029FAE.h.

## ◆ I2CADM2

__IO uint32_t I2C_T::I2CADM2

Offset: 0x002C I2C Slave Address Mask Register 2

Definition at line 1053 of file NUC029FAE.h.

## ◆ I2CADM3

__IO uint32_t I2C_T::I2CADM3

Offset: 0x0030 I2C Slave Address Mask Register 3

Definition at line 1054 of file NUC029FAE.h.

## ◆ I2CDAT

__IO uint32_t I2C_T::I2CDAT

Offset: 0x0008 I2C Data Register

Definition at line 1044 of file NUC029FAE.h.

## ◆ I2CLK

__IO uint32_t I2C_T::I2CLK

Offset: 0x0010 I2C Clock Divided Register

Definition at line 1046 of file NUC029FAE.h.

## ◆ I2CON

__IO uint32_t I2C_T::I2CON

Offset: 0x0000 I2C Control Register

Definition at line 1042 of file NUC029FAE.h.

## ◆ I2CON2

__IO uint32_t I2C_T::I2CON2

Offset: 0x003C I2C Control Register 2

Definition at line 1057 of file NUC029FAE.h.

## ◆ I2CSTATUS

__IO uint32_t I2C_T::I2CSTATUS

Offset: 0x000C I2C Status Register

Definition at line 1045 of file NUC029FAE.h.

## ◆ I2CSTATUS2

__IO uint32_t I2C_T::I2CSTATUS2

Offset: 0x0040 I2C Status Register 2

Definition at line 1058 of file NUC029FAE.h.

## ◆ I2CTOC

__IO uint32_t I2C_T::I2CTOC

Offset: 0x0014 I2C Time-Out Counter Register

Definition at line 1047 of file NUC029FAE.h.

## ◆ RESERVED0

uint32_t I2C_T::RESERVED0

Offset: 0x0034 Reserved

Definition at line 1055 of file NUC029FAE.h.

## ◆ RESERVED1

uint32_t I2C_T::RESERVED1

Offset: 0x0038 Reserved

Definition at line 1056 of file NUC029FAE.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nuc029faebsp/Library/Device/Nuvoton/NUC029FAE/Include/NUC029FAE.h